@ECHO OFF

REM *********************************************************
REM Batch file to install or uninstall all USB drivers
REM *********************************************************

REM Change directory to the calling directory
REM This can sometimes be incorrect when calling batch file 'as administrator'
REM Which will set the working directory to c:\windows\system32
cd %~dp0

REM GET OS Version
for /f "tokens=1,2,3 delims=[]" %%a in ('ver') do set OSVER=%%b
REM echo OSVER: %OSVER%

for /f "tokens=1,2 delims= " %%a in ("%OSVER%") do set OSVER=%%b
REM echo OSVER: %OSVER%

for /f "tokens=1,2,3 delims=." %%a in ("%OSVER%") do set VER=%%a.%%b
for /f "tokens=1,2,3 delims=." %%a in ("%OSVER%") do set MAJORVER=%%a
REM echo VER: %VER%


IF "%1"=="/f" GOTO :SKIPADMINCHECK

REM Windows 8+ & 10 will prompt admin login if run as a user, so we don't need to force running as admin
IF "%MAJORVER%"=="10" GOTO :SKIPADMINCHECK
IF "%VER%"=="6.2" GOTO :SKIPADMINCHECK
IF "%VER%"=="6.3" GOTO :SKIPADMINCHECK

REM Check for Administrative Privileges
net session > NUL 2>&1
IF %ERRORLEVEL% NEQ 0 (
	REM net session is only successful if running as admin (on XP, Vista, or 7)
	echo Administrator Privileges are required to install/uninstall drivers.
	GOTO :FINISHED
)

:SKIPADMINCHECK
IF "%1"=="/u" GOTO :UNINSTALLDRV
IF "%2"=="/u" GOTO :UNINSTALLDRV

REM *********************************************************
REM Install drivers

ECHO Installing ACM driver
cd ACM
call CDC_Setup.bat
cd ..

ECHO Installing RNDIS driver
cd RNDIS
call setup.bat
cd ..

GOTO :FINISHED
:UNINSTALLDRV

REM *********************************************************
REM Uninstall drivers

ECHO Uninstalling ACM driver
cd ACM
call CDC_Setup.bat /u
cd ..

ECHO Uninstalling RNDIS driver
cd RNDIS
call setup.bat /u
cd ..
GOTO :FINISHED

:FINISHED

IF "%1"=="/s" GOTO :SILENTFINISH
IF "%2"=="/s" GOTO :SILENTFINISH

pause

:SILENTFINISH
